oomd(1)

NAME
oomd - Userspace Out-Of-Memory (OOM) killer for Linux systems

SYNOPSIS
oomd [OPTION] ...

DESCRIPTION
oomd leverages PSI and cgroupv2 to monitor a system holistically. oomd then takes corrective action in userspace before an OOM occurs in kernel space. Corrective action is configured via a flexible plugin system, in which custom code can be written. By default, this involves killing offending processes. This enables an unparalleled level of flexibility where each workload can have custom protection rules. Furthermore, time spent livedlocked in kernelspace is minimized.

OPTIONS

--help, -h
    Show this help message and exit

--version, -v
    Print version and exit

--config, -C CONFIG
    Config file (default: /etc/oomd/oomd.json)

--interval, -i INTERVAL
    Event loop polling interval (default: 5)

--cgroup-fs, -f FS
    Cgroup2 filesystem mount point (default: /sys/fs/cgroup)

--check-config, -c CONFIG
    Check config file (default: /etc/oomd/oomd.json)

--list-plugins, -l
    List all available plugins

--drop-in-dir, -w DIR
    Directory to watch for drop in configs

--socket-path, -s PATH
    Specify stats socket path (default: /run/oomd/oomd-stats.socket)

--dump-stats, -d
    Dump accumulated stats

--reset-stats, -r
    Reset stats collection

--device DEVS
    Comma separated <major>:<minor> pairs for IO cost calculation (default: none)

--ssd-coeffs COEFFS
    Comma separated values for SSD IO cost calculation (default: see doc)

--hdd-coeffs COEFFS
    Comma separated values for HDD IO cost calculation (default: see doc)

SEE ALSO
https://github.com/facebookincubator/oomd#configuration

AUTHOR
oomd is written by Facebook, Inc (https://opensource.fb.com/).

This manual page was written by Yangfl (mmyangfl@gmail.com) for the Debian Project (and may be used by others).